Updating & Installing Mods in 1.6.1

  • #61
    Quote from Country_Gamer

    When I use the forge 1.6.1 installer, forge installs fine, and when I play the game, it works, but where would I put my 1.6.1 forge mods? What is the directory pathway starting with the [minecraft] folder?
    once you run the game with forge, a 'mods' folder should have been created in your .minecraft folder(it did for me but i didn't use the installer) if the install instructions of other mods say drag/copy into mods folder, just put the mods in that created 'mods' folder.
  • #62
    Quote from painter73

    once you run the game with forge, a 'mods' folder should have been created in your .minecraft folder(it did for me but i didn't use the installer) if the install instructions of other mods say drag/copy into mods folder, just put the mods in that created 'mods' folder.

    Alright, yes that happened, but wouldnt that install those mods for every version of forge that is installed? What if I had two mods (not compatible with eachother) and wanted to have two separate version for them? (This is now hypothetical btw)
  • #63

    Just a forge installation, TY~

  • #64
    Quote from Country_Gamer


    Alright, yes that happened, but wouldnt that install those mods for every version of forge that is installed? What if I had two mods (not compatible with eachother) and wanted to have two separate version for them? (This is now hypothetical btw)
    not quite sure if i'm understanding, you can only have 1 version of forge installed at a time. If you have other incompatible mods or want a different version of forge to run another mod, you would have to make another copy of whatever MC version and rename it slightly different from the first copy and just have two different instances in the profile.
  • #65
    On a developer standpoint this just confused me. Not very much help for when i needed help fixing the dev enviroment everything works fine until I try to do start with mcp forge any fix for this?
  • #66
    I did everything correctly (i assume), and I switch to Forge-1.5.2 (what i named the forge file). Minecraft opens and forge is not there.

    What am I doing wrong?
    Last edited by Bluemadness: 7/3/2013 10:49:25 AM

  • #67
    Quote from pokemonface12

    'TI CAN'T EVEN PLAY MINECRAFT!
    PLEASE!!!!Couldn't download https://s3.amazonaws.com/Minecraft.Download/versions/Modded/Modded.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)

    Gave up trying to download https://s3.amazonaws.com/Minecraft.Download/versions/Modded/Modded.jar for job 'Version & Libraries'
    Job 'Version & Libraries' finished with 1 failure(s)!
    sunflower!
    Hatch your own dragon!new breeds added.I ADVERTISE TOO MUCH I KNOW I KNOW!!
  • #68
    I cant login with my forge profile into servers! Help!
  • #69
    i got it to work by doing it the orignal way in a folder named forge-1.6.1 i named the jar and json forge-1.6.1 and changed the id in the json and open forge and the jar in winrar and dragged in forge and it worked
  • #70
    Ok I did this and when I opened my Minecraft I got this in the console saying this:

    Launcher 1.0.8 (through bootstrap 4) started on windows...
    System.getProperty('os.name') == 'Windows 8'
    System.getProperty('os.version') == '6.2'
    System.getProperty('os.arch') == 'amd64'
    System.getProperty('java.version') == '1.7.0_17'
    System.getProperty('java.vendor') == 'Oracle Corporation'
    Going to log in with legacy stored username & password...
    Loaded 1 profile(s); selected '(Default)'
    Trying to log in...
    Logging in with access token
    Logged in successfully
    Delta time to compare resources: 6897 ms
    Download job 'Resources' skipped as there are no files to download
    Job 'Resources' finished successfully
    Getting syncinfo for selected version
    Queueing library & version downloads
    Download job 'Version & Libraries' started (8 threads, 23 files)
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\net\sf\jopt-simple\jopt-simple\4.5\jopt-simple-4.5.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\paulscode\librarylwjglopenal\20100824\librarylwjglopenal-20100824.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\commons-io\commons-io\2.4\commons-io-2.4.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\net\java\jutils\jutils\1.0.0\jutils-1.0.0.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\paulscode\codecjorbis\20101023\codecjorbis-20101023.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\argo\argo\2.25_fixed\argo-2.25_fixed.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl_util\2.9.0\lwjgl_util-2.9.0.jar for job 'Version & Libraries': Used own copy as it matched etag
    Couldn't download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\net\java\jinput\jinput-platform\2.0.5\jinput-platform-2.0.5-natives-windows.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl-platform\2.9.0\lwjgl-platform-2.9.0-natives-windows.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\paulscode\codecwav\20101023\codecwav-20101023.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\org\apache\commons\commons-lang3\3.1\commons-lang3-3.1.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\org\bouncycastle\bcprov-jdk15on\1.47\bcprov-jdk15on-1.47.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\org\lwjgl\lwjgl\lwjgl\2.9.0\lwjgl-2.9.0.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\paulscode\libraryjavasound\20101123\libraryjavasound-20101123.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\net\minecraft\launchwrapper\1.3\launchwrapper-1.3.jar for job 'Version & Libraries': Downloaded successfully and etag matched
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\lzma\lzma\0.0.1\lzma-0.0.1.jar for job 'Version & Libraries': Downloaded successfully and etag matched
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\paulscode\soundsystem\20120107\soundsystem-20120107.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\net\java\jinput\jinput\2.0.5\jinput-2.0.5.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\versions\Forge-1.6.1\Forge-1.6.1.jar for job 'Version & Libraries': Couldn't connect to server (responded with 403) but have local file, assuming it's good
    Couldn't download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Couldn't download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Couldn't download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\google\code\gson\gson\2.2.2\gson-2.2.2.jar for job 'Version & Libraries': Used own copy as it matched etag
    Couldn't download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Couldn't download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    java.lang.RuntimeException: Server responded with 403
    at net.minecraft.launcher.updater.download.Downloadable.download(Downloadable.java:85)
    at net.minecraft.launcher.updater.download.DownloadJob.popAndDownload(DownloadJob.java:102)
    at net.minecraft.launcher.updater.download.DownloadJob.access$000(DownloadJob.java:10)
    at net.minecraft.launcher.updater.download.DownloadJob$1.run(DownloadJob.java:84)
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
    at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
    Gave up trying to download https://s3.amazonaws.com/Minecraft.Download/libraries/cpw/mods/fml/5.2.29/fml-5.2.29.jar for job 'Version & Libraries'
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\com\google\guava\guava\14.0\guava-14.0.jar for job 'Version & Libraries': Used own copy as it matched etag
    Finished downloading C:\Users\joshua\AppData\Roaming\.minecraft\libraries\org\ow2\asm\asm-all\4.1\asm-all-4.1.jar for job 'Version & Libraries': Downloaded successfully and etag matched
    Job 'Version & Libraries' finished with 1 failure(s)!

    Even though this log is long, I understand that it is saying that it cannot download forge for the game.
  • #71
    Quote from painter73

    not quite sure if i'm understanding, you can only have 1 version of forge installed at a time. If you have other incompatible mods or want a different version of forge to run another mod, you would have to make another copy of whatever MC version and rename it slightly different from the first copy and just have two different instances in the profile.

    Okay, I get what your saying there, and it makes sense. Hypothetically, could you tell forge to only run certain mods in the mods folder? Or would you have to manually change what is in the folder?
  • #72
    Quote from Country_Gamer


    Okay, I get what your saying there, and it makes sense. Hypothetically, could you tell forge to only run certain mods in the mods folder? Or would you have to manually change what is in the folder?
    No, its not like magic launcher where you have the ability to disable certain mods and run. You would have to manually remove any mod from the folder you do not want to run. Any mods in the mods folder will be loaded. This new launcher is still in pretty early developement, so maybe an option like that may be implemented in the future, but I wouldn't hold my breath(lol) Just have to wait and see how it develops. Right now you either have multiple profile set-ups or manually take mods in/out. :)
  • #73
    It works great for me. Thank you.
  • #74
    Can anyone help me with actually using mods once I have Forge? I have it set up, it is installed and shows up when I log in but I cant drag zip files into my mod folder and make it work /: help...?
  • #75
    I have forge working for 1.6.1, but 1.6.1 mods I put in the mods folder don't work, they just don't show up ingame, I even tried by putting mods folder within my new JAR Versions folder and placing mods in there.
    Last edited by lovfinion: 7/3/2013 3:12:03 PM
  • #76
    Quote from sxedyl

    Can anyone help me with actually using mods once I have Forge? I have it set up, it is installed and shows up when I log in but I cant drag zip files into my mod folder and make it work /: help...?
    Firstly, make sure the mod you want to use is 1.6.1 (there aren't a whole lot right now) and secondly, forge is a little unstable itself right now (due to this crappy launcher) so make sure you check forge often and try to use the latest (you can check forge here: http://files.minecraftforge.net/ )

    Edit: forge build 761 seems to work best for me but I would expect multiple updates daily..
    Last edited by painter73: 7/3/2013 3:15:17 PM
  • #77
    I update my mod but when i started minecraft my blocks and items was purple and black!
    It was nothing wrong with the mod before!
    Plz help! :steve_tearful:
  • #78
    Quote from Samtopia

    I update my mod but when i started minecraft my blocks and items was purple and black!
    It was nothing wrong with the mod before!
    Plz help! :steve_tearful:
    try using a different forge version....it isn't very stable at the moment.(i use build 761)
  • #79
    Quote from Bluemadness

    I did everything correctly (i assume), and I switch to Forge-1.5.2 (what i named the forge file). Minecraft opens and forge is not there.

    What am I doing wrong?


    I'm still needing help here.

  • #80
    Quote from Bluemadness

    I'm still needing help here.
    what exactly are you trying to do? Have a profile for 1.5.2 or 1.6.1?
  • To post a comment, please or register a new account.
Posts Quoted:
Reply
Clear All Quotes